QGIS Application - Bug report #16220

Log Messages Panel minimizes irreversible after escape

2017-02-22 07:06 AM - Richard Duivenvoorde

Status: Closed
Priority: Normal
Assignee:

Category: GUI

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 24130

Description

Starting to use the Log Messages Panel during development more often, | think | hit the following issue:

Pressing the escape button while Log Messages Panel is undocked/floating, minimizes the panel irreversible.

Only a restart of QGIS makes it usable again.

To test (see screendumps):

- starting with a normal docked panel

- undock.make it float it via little icon in right corner

- click in the floating panel to make it the active one

- press the escape button (would normally close that window?)

- the panel minimizes it shape (hiding the tabs you normally see)
- you cannot resize the panel anymore

- even docking it again hides all information

I'm on Debian testing here, not sure if Windows has the same problems....

Tested both in master, 2.14 and 2.18

Associated revisions

Revision e0c58eb7 - 2017-02-24 03:18 PM - Jiirgen Fischer

message log viewer: window isn't closeable and last tab has to stay

(fixes #16220)

Revision 2ccdac77 - 2017-02-24 03:23 PM - Jiirgen Fischer

message log viewer: window isn't closeable and last tab has to stay
(fixes #16220)

(cherry picked from commit e0c58eb7d7c1da5891bb4ee37a4ed8548c3ac1d1)

Revision cbed95c6 - 2017-02-24 03:41 PM - Jiirgen Fischer

message log viewer: window isn't closeable and last tab has to stay
(fixes #16220)
(cherry picked from commit 2ccdac770bb6be96f2feeeb5827e312d8c432dae)

History

#1 - 2017-02-23 02:10 AM - Richard Duivenvoorde

Tested this on a Windows server, and here is is also an issue, but the issue is a little different:

- with a floating panel, press 'escape’ then the panel is fully hidden (not resized to a minimum as you see on Linux).

But you cannot open it anymore too. Clicking the open message button in rightbottom corner of QGIS does NOT open the panel anymore...

#2 - 2017-02-24 06:12 AM - Jurgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"e0c58eb7d7c1da5891bb4ee37a4ed8548c3ac1d1".
